Bug 1020481 - Lock screen goes black 1/2 second after lock screen is shown
Lock screen goes black 1/2 second after lock screen is shown
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 14:27 EDT by Ryan Lerch
Modified: 2015-06-29 08:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:39:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 710904 None None None Never

  None (edit)
Description Ryan Lerch 2013-10-17 14:27:09 EDT
Since fedora 19, the behaviour in gnome for the lock screen has been different. Now, when a user manually locks the screen with the keyboard shortcut or via the menu, the screenshield (sometimes) is shown animating down, then the monitor(s) are turned off.

The previous behavior was to show the lock screen, then after a set amount of time (1-2 minutes) the screen would shut off.

There are multiple issues with the new approach.

1. It is visually jarring for the user who has just locked the screen to then instantly turn it off.

2. Many monitors take multiple seconds to turn off and on again. If a user is stepping away for 1 min. 5 seconds of this time can be spent waiting for the monitors to turn back on.

3. it dilutes the metaphor of the shield as a blind coming down over the screen. If you are just going to turn the screen off, why even show the shade down animation at all?
Comment 1 lnxslck 2013-11-07 12:28:16 EST
I also see this problem, and it's useless the way it is. When i lock de screen, i just want the screen locked, not the monitors turned off.
Comment 2 Marcin Zajaczkowski 2014-01-06 12:17:56 EST
This issue is also reported upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=710904
Comment 3 Fedora End Of Life 2015-05-29 05:35:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:39:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.